<?php
// Regional Map Display Copyright  2012 Justin Furnas
// This file is simply to enable your private server website to display a per-region player count.
// It will display how many people are in each region, and is updated live. 

// To use this regional map, is very simple. First, open the file regional.config.php (included with this package)
// and modify the settings to match the settings for your database

// Next, copy the below link link into your regional info page between the <head> and </head> tags
// <link rel="stylesheet" type="text/css" href="style.css" media="screen" />

// Finally, copy from <dl id="gmap"> to </dl> and paste it into the <body> and </body> tags of your HTML page
// (or into a new .php page)

// The script is also setup so you can just upload it to the root of your web directory, and navigate to it
// e.g. http://www.yourserver.com/regional_map.php

// NOTE: This script requires you have a web-server with PHP and MySQL configured
// This script is free to use, so long as the above credit information is left in-tact



require_once("regional.config.php");
mysql_connect($hostname,$username,$pass);
mysql_select_db($dbname);

function getRegionCount($region) {
	global $sql;
	
	$q = "SELECT * FROM accounts_sessions LEFT JOIN chars ON accounts_sessions.charid = chars.charid WHERE ";
	switch ($region) {
		case "Bastok":
			$cont = "pos_zone='246' OR pos_zone='234' OR pos_zone='235' OR pos_zone='237'";
			break;
		case "Sandoria":
			$cont = "pos_zone='230' OR pos_zone='231' OR pos_zone='232' OR pos_zone='233'";
			break;
		case "Ronfaure":
			$cont = "pos_zone='100' OR pos_zone='101' OR pos_zone='139' OR pos_zone='140' OR pos_zone='141' OR pos_zone='142' OR pos_zone='167' OR pos_zone='190'";
			break;
		case "Zulkheim":
			$cont = "pos_zone='102' OR pos_zone='103' OR pos_zone='108' OR pos_zone='193' OR pos_zone='196' OR pos_zone='248'";
			break;
		case "Windurst":
			$cont = "pos_zone='242' OR pos_zone='240' OR pos_zone='239' OR pos_zone='241' OR pos_zone='238'";
			break;
		case "Valdeaunia":
			$cont = "pos_zone='6' OR pos_zone=' 161' OR pos_zone='162' OR pos_zone='165' OR pos_zone='5' OR pos_zone='112'";
			break;
		case "Norvallen":
			$cont = "pos_zone='105' OR pos_zone='2' OR pos_zone='149' OR pos_zone='195' OR pos_zone='104' OR pos_zone='150' OR pos_zone='1'";
			break;
		case "Volbow":
			$cont = "pos_zone='113' OR pos_zone='201' OR pos_zone='212' OR pos_zone='174' OR pos_zone='128'";
			break;
		case "Sarutabaruta":
			$cont = "pos_zone='146' OR pos_zone='116' OR pos_zone='170' OR pos_zone='145' OR pos_zone='192' OR pos_zone='194' OR pos_zone='169' OR pos_zone='115'";
			break;
		case "ElshimoLL":
			$cont = "pos_zone='250' OR pos_zone='252' OR pos_zone='176' OR pos_zone='123'";
			break;
		case "ElshimoUL":
			$cont = "pos_zone='207' OR pos_zone='211' OR pos_zone='160' OR pos_zone='205' OR pos_zone='163' OR pos_zone='159' OR pos_zone='124'";
			break;
		case "Kuzotz":
			$cont = "pos_zone='209' OR pos_zone='114' OR pos_zone='168' OR pos_zone='208' OR pos_zone='247' OR pos_zone='125'";
			break;
		case "Tavnazian":
			$cont = "pos_zone='24' OR pos_zone='25' OR pos_zone='31' OR pos_zone='27' OR pos_zone='30' OR pos_zone='29'OR pos_zone='28' OR pos_zone='32' OR pos_zone='26'";
			break;
		case "Fauregandi":
			$cont = "pos_zone='207' OR pos_zone='211' OR pos_zone='160' OR pos_zone='205' OR pos_zone='163' OR pos_zone='159' OR pos_zone='124'";
			break;
		case "Qufim":
			$cont = "pos_zone='127' OR pos_zone='184' OR pos_zone='157' OR pos_zone='126' OR pos_zone='179' OR pos_zone='158'";
			break;
		case "Jeuno":
			$cont = "pos_zone='246' OR pos_zone='244' OR pos_zone='245' OR pos_zone='243'";
			break;
		case "Gustaberg":
			$cont = "pos_zone='191' OR pos_zone='173' OR pos_zone='106' OR pos_zone='143' OR pos_zone='107' OR pos_zone='144' OR pos_zone='172'";
			break;
		case "TuLia":
			$cont = "pos_zone='181' OR pos_zone='180' OR pos_zone='130' OR pos_zone='178' OR pos_zone='177'";
			break;
		case "LiTelor":
			$cont = "pos_zone='153' OR pos_zone='202' OR pos_zone='154' OR pos_zone='251' OR pos_zone='122' OR pos_zone='121'";
			break;
		case "Kolshushu":
			$cont = "pos_zone='4' OR pos_zone='44' OR pos_zone='118' OR pos_zone='213' OR pos_zone='3' OR pos_zone='198' OR pos_zone='249' OR pos_zone='117'";
			break;
		case "Aragoneu":
			$cont = "pos_zone='152' OR pos_zone='7' OR pos_zone='8' OR pos_zone='151' OR pos_zone='200' OR pos_zone='119' OR pos_zone='120'";
			break;
		case "Derfland":
			$cont = "pos_zone='147' OR pos_zone='197' OR pos_zone='109' OR pos_zone='148' OR pos_zone='110'";
			break;
		case "Movalpolos":
			$cont = "pos_zone='13' OR pos_zone='12' OR pos_zone='11'";
			break;
		default:
		$cont = "pos_zone='230' OR pos_zone='231'";
			break;
	}
		
	$query = $q.$cont;
	$res = mysql_query($query) or die(mysql_error());
	if (empty($res)) {
		$ret = 'There are 0 players in this region';
	}
	else {
		$total = mysql_num_rows($res);
		$ret = 'There are '.$total.' players in this region';
	}
	echo $ret;
}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<link rel="stylesheet" type="text/css" href="style.css" media="screen" />
</head>

<body>

<dl id="gmap">
<dd><a id="sandoria" title="San D'oria" href="#">San D'Oria<br />Regional Info<br /><?php getRegionCount("Sandoria"); ?></a></dd>
<dd><a id="ronfaure" title="Ronfaure" href="#">Ronfaure<br />Regional Info<br /><?php getRegionCount("Ronfaure"); ?></a></dd>
<dd><a id="bastok" title="Bastok" href="">Bastok<br />Regional Info<br /><?php getRegionCount("Bastok"); ?></a></dd>
<dd><a id="zulkheim" title="Zulkheim" href="">Zulkheim<br />Regional Info<br /><?php getRegionCount("Zulkheim"); ?></a></dd>
<dd><a id="windurst" title="Windurst" href="">Windurst<br />Regional Info<br /><?php getRegionCount("Windurst"); ?></a></dd>
<dd><a id="valdeaunia" title="Valdeaunia" href="">Valdeaunia<br />Regional Info<br /><?php getRegionCount("Valdeaunia"); ?></a></dd>
<dd><a id="norvallen" title="Norvallen" href="">Norvallen<br />Regional Info<br /><?php getRegionCount("Norvallen"); ?></a></dd>
<dd><a id="volbow" title="Volbow" href="">Volbow<br />Regional Info<br /><?php getRegionCount("Volbow"); ?></a></dd>
<dd><a id="sarutabaruta" title="Sarutabaruta" href="">Sarutabaruta<br />Regional Info<br /><?php getRegionCount("Sarutabaruta"); ?></a></dd>
<dd><a id="elshimo" title="Elshimo Lowlands" href="">Elshimo Lowlands<br />Regional Info<br /><?php getRegionCount("ElshimoLL"); ?></a></dd>
<dd><a id="elshimo2" title="Elshimo Uplands" href="">Elshimo Uplands<br />Regional Info<br /><?php getRegionCount("ElshimoUL"); ?></a></dd>
<dd><a id="kuzotz" title="Kuzotz" href="">Kuzotz<br />Regional Info<br /><?php getRegionCount("Kuzotz"); ?></a></dd>
<dd><a id="tavnazian" title="Tavnazian Archipelago" href="">Tavnazian Archipelago<br />Regional Info<br /><?php getRegionCount("Tavnazian"); ?></a></dd>
<dd><a id="fauregandi" title="Fauregandi" href="">Fauregandi<br />Regional Info<br /><?php getRegionCount("Fauregandi"); ?></a></dd>
<dd><a id="qufim" title="Qufim" href="">Qufim<br />Regional Info<br /><?php getRegionCount("Qufim"); ?></a></dd>
<dd><a id="jeuno" title="Jeuno" href="">Jeuno<br />Regional Info<br /><?php getRegionCount("Jeuno"); ?></a></dd>
<dd><a id="gustaberg" title="Gustaberg" href="">Gustaberg<br />Regional Info<br /><?php getRegionCount("Gustaberg"); ?></a></dd>
<dd><a id="tulia" title="Tu'Lia" href="">Tu'Lia<br />Regional Info<br /><?php getRegionCount("TuLia"); ?></a></dd>
<dd><a id="litelor" title="Li'Telor" href="">Li'Telor<br />Regional Info<br /><?php getRegionCount("LiTelor"); ?></a></dd>
<dd><a id="kolshushu" title="Kolshushu" href="">Kolshushu<br />Regional Info<br /><?php getRegionCount("Kolshushu"); ?></a></dd>
<dd><a id="aragoneu" title="Aragoneu" href="">Aragoneu<br />Regional Info<br /><?php getRegionCount("Arargoneu"); ?></a></dd>
<dd><a id="derfland" title="Derfland" href="">Derfland<br />Regional Info<br /><?php getRegionCount("Derfland"); ?></a></dd>
<dd><a id="movalpolos" title="Movalpolos" href="">Movalpolos<br />Regional Info<br /><?php getRegionCount("Ronfaure"); ?></a></dd>
</dl>


</body>
</html>
